<?php

namespace App\Filament\Resources\Collections\Schemas;

use Filament\Forms\Components\TextInput;
use Filament\Forms\Components\Toggle;
use Filament\Schemas\Schema;

class CollectionForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('title')
                    ->label('Sözbaşy')
                    ->required(),
                TextInput::make('subtitle')
                    ->label('Sözbaşy asty'),
                TextInput::make('order')
                    ->label('Tertibi')
                    ->required()
                    ->numeric()
                    ->default(0),
                Toggle::make('is_active')
                    ->label('Işjeňmi')
                    ->default(true)
                    ->required(),
            ]);
    }
}
